/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using FairyGUI;
using XGame.Framework.UI.View;

namespace FL.FGUI
{
    /// <summary>
    /// UI逻辑处理类
    /// </summary>
    /// <typeparam name=""></typeparam>
    public partial class <#UIName>Ctrl : UIControllerBase<<#UIName>VM>
    {
        public override void OnEnable(object intent)
        {
            AddUIListenres();
        }
        public override void OnDisable()
        {
            RemoveUIListenres();
        }
        #region UI事件
        private void AddUIListenres()
        {
<#UIEventsAddArea>
        }
        private void RemoveUIListenres()
        {
<#UIEventsRemoveArea>
        }
<#UIEventsDefineArea>
        #endregion
    }
}